package cn.kdan.pdf.backend.core.controller;

import cn.kdan.pdf.backend.core.params.AddAdvertisementParam;
import cn.kdan.pdf.backend.core.params.QueryAdvertisementParam;
import cn.kdan.pdf.backend.core.pojo.app.AdvertisementVo;
import cn.kdan.pdf.backend.core.service.AdvertisementService;
import constant.CommonConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import pojo.AppResultMap;

import java.util.List;

/**
 * @author sfq
 * @description
 */
@CrossOrigin(origins = "*")
@RestController
@RequestMapping("/advertisement")
public class AdvertisementController {

    @Autowired
    private AdvertisementService advertisementService;

    /**
     * 条件查询广告数据
     * @param param 查询条件
     * @return 广告信息
     */
    @GetMapping("/list")
    public AppResultMap<List<AdvertisementVo>> list( QueryAdvertisementParam param){
        return new AppResultMap<>(CommonConstant.SUCCESS,CommonConstant.CODE_SUCCESS,advertisementService.list(param));
    }

    /**
     * 增加广告/活动
     * @param param 参数
     * @return 成功与否
     */
    @PostMapping("/add")
    public AppResultMap<String> add(@RequestBody AddAdvertisementParam param){
        return new AppResultMap<>(CommonConstant.SUCCESS,CommonConstant.CODE_SUCCESS,advertisementService.add(param));
    }

}
